%define anolis_release 1

Name:           libxkbcommon
Version:        1.7.0
Release:        %{anolis_release}%{?dist}
Summary:        X.Org X11 XKB parsing library

License:        MIT AND X11 AND MIT-CMU
URL:            http://www.x.org

Source0:        https://xkbcommon.org/download/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  git meson
BuildRequires:  byacc flex bison
BuildRequires:  xorg-x11-proto-devel libX11-devel
BuildRequires:  pkgconfig(wayland-client) pkgconfig(wayland-protocols)
BuildRequires:  xkeyboard-config-devel
BuildRequires:  pkgconfig(xcb-xkb) >= 1.10
BuildRequires:  libxml2-devel

Requires:       xkeyboard-config

%description
%{name} is the X.Org library for compiling XKB maps into formats usable by
the X Server or other display servers.

%package devel
Summary:        X.Org X11 XKB parsing development package
Requires:       %{name} = %{version}-%{release}

%description devel
X.Org X11 XKB parsing development package

%package x11
Summary:        X.Org X11 XKB keymap creation library
Requires:       %{name} = %{version}-%{release}

%description x11
%{name}-x11 is the X.Org library for creating keymaps by querying the X
server.

%package x11-devel
Summary:        X.Org X11 XKB keymap creation library
Requires:       %{name}-x11 = %{version}-%{release}

%description x11-devel
X.Org X11 XKB keymap creation library development package

%package utils
Summary:        X.Org X11 XKB parsing utilities
Requires:       %{name} = %{version}-%{release}

%description utils
%{name}-utils is a set of utilities to analyze and test XKB parsing.

%package x11-utils
Summary:        X.Org X11 XKB parsing utilities
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-x11 = %{version}-%{release}
Requires:       %{name}-utils = %{version}-%{release}

%description x11-utils
%{name}-x11-utils is a set of X11 utilities to analyze and test XKB parsing.

%prep
%autosetup -S git

%build
%meson -Denable-docs=false \
       -Denable-x11=true \
       -Denable-wayland=true
%meson_build

%install
%meson_install

%ldconfig_scriptlets

%generate_compatibility_deps

%files
%dir %{abidir}
%license LICENSE
%{_libdir}/libxkbcommon.so.*
%{abidir}/libxkbcommon.dump
%{_libdir}/libxkbregistry.so.*
%{abidir}/libxkbregistry.dump

%files devel
%{_libdir}/libxkbcommon.so
%{_libdir}/libxkbregistry.so
%dir %{_includedir}/xkbcommon/
%{_includedir}/xkbcommon/xkbcommon.h
%{_includedir}/xkbcommon/xkbcommon-compat.h
%{_includedir}/xkbcommon/xkbcommon-compose.h
%{_includedir}/xkbcommon/xkbcommon-keysyms.h
%{_includedir}/xkbcommon/xkbcommon-names.h
%{_includedir}/xkbcommon/xkbregistry.h
%{_libdir}/pkgconfig/xkbcommon.pc
%{_libdir}/pkgconfig/xkbregistry.pc

%ldconfig_scriptlets x11

%files x11
%{_libdir}/libxkbcommon-x11.so.*
%{abidir}/libxkbcommon-x11.dump

%files x11-devel
%{_libdir}/libxkbcommon-x11.so
%{_includedir}/xkbcommon/xkbcommon-x11.h
%{_libdir}/pkgconfig/xkbcommon-x11.pc

%files utils
%{_bindir}/xkbcli
%{abidir}/xkbcli-option.list
%{_libexecdir}/xkbcommon/xkbcli-compile-compose
%{_libexecdir}/xkbcommon/xkbcli-compile-keymap
%{_libexecdir}/xkbcommon/xkbcli-how-to-type
%{_libexecdir}/xkbcommon/xkbcli-interactive-evdev
%{_libexecdir}/xkbcommon/xkbcli-interactive-wayland
%{_libexecdir}/xkbcommon/xkbcli-list
%{_mandir}/man1/xkbcli-compile-compose.1.zst
%{_mandir}/man1/xkbcli-compile-keymap.1.zst
%{_mandir}/man1/xkbcli-how-to-type.1.zst
%{_mandir}/man1/xkbcli-interactive-evdev.1.zst
%{_mandir}/man1/xkbcli-interactive-wayland.1.zst
%{_mandir}/man1/xkbcli-list.1.zst
%{_mandir}/man1/xkbcli.1.zst
%{_datadir}/bash-completion/completions/xkbcli

%files x11-utils
%{_libexecdir}/xkbcommon/xkbcli-interactive-x11
%{_mandir}/man1/xkbcli-interactive-x11.1.zst

%changelog
* Tue Feb 25 2025 wangzhe <wanglan.wz@alibaba-inc.com> - 1.7.0-1
- Refer to CentOS Stream libxkbcommon-1.7.0-4 (tdawson@redhat.com)

* Thu Nov 16 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 1.4.0-3
- fix build error for libxkbcommon

* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.0-2
- optimise spec file

* Wed Mar 09 2022 Su Lifan <su-lifan@linux.alibaba.com> - 1.4.0-1
- Initial packaging for Anolis OS 23
